Subject: [IPFIX] R: Flow Selection Techniques draft - remaining issues

From: "Salvatore D'Antonio" <[email-masked]>
Date: Tue, 6 Mar 2012 16:46:09 +0100

Dear Nevil, all

The new version of the Draft on Flow Selection Techniques has been published
and available at 

http://www.ietf.org/internet-drafts/draft-ietf-ipfix-flow-selection-tech-10.
txt

I have modified the section on Property Match Filtering, added the sentence
(proposed by Nevil) on the IPR issue to the section on Flow filtering,
updated the References according to Brian’s comment on normative and
informative RFC, fixed the capitalization of the Information Elements,  and
defined samplingFlowInterval, samplingFlowSpace, flowSamplingTimeInterval
and flowSamplingTimeSpace as unsigned64, instead of unsigned32, according to
Brian’s comment.

Looking forward to your feedback.

Best regards,

Salvatore

-----Messaggio originale-----
Da: Nevil Brownlee [mailto:[email-masked]] 
Inviato: sabato 18 febbraio 2012 14:50
A: Salvatore D'Antonio
Cc: Tanja Zseby; Henke, Christian; [email-masked]; IPFIX
list
Oggetto: Re: Flow Selection Techniques draft - remaining issues

Hi Salvatore et al:

The WGLC for the Selection Techniques draft finished last Wednesday, with
one review from Brian Trammel.

Brian felt the the Property Match Filtering section "seems pretty anaemic,"
but I see that section refers to RFC 5475. However 5475 seems to define it
as "A packet is selected if a specific field in the packet equals a
predefined value;" Brian wants to use a set of values for several fields,
which sounds a lot like using a template to select flows.  Could you add
a paragraph to the Property Match Filter section, please, pointing out
that using sets of fields/values to select flows is possible, preferable
with an example to make it clear?

My only other concern is the IPR question, we have consensus that making
all the filtering methods optional would be OK.  To do that, 5475 says
"In order to be compliant with PSAMP, at least one of proposed schemes MUST
be implemented." so that would be OK with 'this document' instead of
'PSAMP.'

Another possibility, which I've just thought of, and I think I like better,
would be to say "In order to be compliant with this document, at least
the Property Match Filtering MUST be implemented."  Which of these two
sentences do you think would be best?

With these two issues fixed, I believe we'd have WG consensus (at last)!

Cheers, Nevil

On 02/06/2012 08:38 AM, Salvatore D'Antonio wrote:
> Dear Nevil,
>
> In section 5.2.2 of the Draft we reference to the size-dependent sampling
> mechanism presented in Nick Duffield's paper "Charging from Sampled
Network
> Usage" as a possible method for flow record selection. Since patent n.
> 7080136 "Method and apparatus for size-dependent sampling for managing a
> data network" is on this sampling mechanism, we added an IPR disclosure
from
> AT&T on this. The IPR disclosure is related to version -05 of the Draft.
> Other techniques/algorithms are presented in the Draft, but as far as I
know
> they are not covered by patents. My feeling is that there is no need for
> other IPR disclosures.
> Anyways, to remove any doubts, we might add a definite statement on the
> optional use of such techniques for an implementor.
>
> What do you think?
>
> Kind regards,
>
> Salvatore
>
>
>
>
> -----Messaggio originale-----
> Da: Nevil Brownlee [mailto:[email-masked]]
> Inviato: mercoledì 1 febbraio 2012 10:43
> A: Salvatore D'Antonio
> Cc: [email-masked]; Nevil Brownlee
> Oggetto: Re: R: [IPFIX] DRAFT minutes for Thursday's IPFIX meeting
>
>
> Hi Salvatore&  Tanja:
>
> Thanks for your email; I'm now on sabbatical leave in Norway, so I have
> more time free to catch up on IPFIX - you'll have seen my note to the list
> about the flow selection draft.
>
> How do you feel about the draft's IPR situation?
>
> Cheers, Nevil
>
>
> On 01/30/2012 04:09 AM, Salvatore D'Antonio wrote:
>> Dear Nevil,
>>
>> We have not received any comment yet from the IPFIXers on the latest
> version
>> of the Draft on Flow Selection Techniques. The document is now in WGLC
> since
>> the current version contains many changes with respect to the version
>> presented at Quebec meeting.
>> I would be very grateful to you if you could send a reminder to the list
> in
>> order to invite the reviewers to provide us with their feedback on the
>> latest changes.
>>
>> Thanks in advance.
>>
>> Best regards,
>>
>>
>> Salvatore
>>
>>
>> -----Messaggio originale-----
>> Da: [email-masked] [mailto:[email-masked]] Per conto di
>> Nevil Brownlee
>> Inviato: venerdì 18 novembre 2011 05:46
>> A: Romascanu, Dan (Dan)
>> Cc: [email-masked]
>> Oggetto: Re: [IPFIX] DRAFT minutes for Thursday's IPFIX meeting
>>
>>
>> Oops, too quick to hit send.  Here they are ...
>>
>> Cheers, Nevil
>>
>>
>> On 18/11/11 15:53, Nevil Brownlee wrote:
>>>
>>> Hi Dan et al:
>>>
>>> Here are our draft minutes, and a one-para summary of them.
>>>
>>> WG members: please send any corrections or improvements to me.
>>>
>>> Cheers, Nevil
>>
>
>

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand
-----
Nessun virus nel messaggio.
Controllato da AVG - www.avg.com
Versione: 2012.0.1913 / Database dei virus: 2112/4815 -  Data di rilascio:
17/02/2012